C1MERG(3)

SYNOPSIS
SUBROUTINE C1MERG (TCOS, I1, M1, I2, M2, I3)

NAME
c1merg - Merge two strings of complex numbers. Each string is ascending by the real part.

LIBRARY
SLATEC

TYPE
COMPLEX (S1MERG-S, D1MERG-D, C1MERG-C, I1MERG-I)

AUTHOR
(UNKNOWN)

DESCRIPTION
This subroutine merges two ascending strings of numbers in the array TCOS. The first string is of length M1 and starts at TCOS(I1+1). The second string is of length M2 and starts at TCOS(I2+1). The merged string goes into TCOS(I3+1). The ordering is on the real part.

SEE ALSO
CMGNBN

ROUTINES CALLED
CCOPY

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
910408 Modified to use IF-THEN-ELSE. Make it look like MERGE which was modified earlier due to compiler problems on the IBM RS6000. (RWC)
920130 Code name changed from CMPMRG to C1MERG. (WRB)